com.trendmicro.ds.platform.rest.object.monitoring

## Class TenantUsageElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.monitoring.TenantUsageElement

-     public class TenantUsageElement
      extends java.lang.Object

  A structure conveying information about how a tenant has been using Deep Security Manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantUsageElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEndDate()` The date these usage statistics were measured to.
    `java.util.Date` | `getStartDate()` The date these usage statistics were measured from.
    `java.lang.Integer` | `getTenantID()` The ID of the tenant these usage statistics apply to.
    `java.lang.String` | `getTenantName()` The name of the tenant these usage statistics apply to.
    `int` | `getTotalJobCount()` The total number of jobs processed within the period.
    `int` | `getTotalLoginCount()` The total number of logins the tenant's administrators performed within the period.
    `int` | `getTotalSecurityEventCount()` The total number of security events recorded for the tenant within the period.
    `int` | `getTotalSystemEventCount()` The total number of system events generated within the period.
    `void` | `setEndDate(java.util.Date endDate)`
    `void` | `setStartDate(java.util.Date startDate)`
    `void` | `setTenantID(java.lang.Integer tenantID)`
    `void` | `setTenantName(java.lang.String tenantName)`
    `void` | `setTotalJobCount(int totalJobCount)`
    `void` | `setTotalLoginCount(int totalLoginCount)`
    `void` | `setTotalSecurityEventCount(int totalSecurityEventCount)`
    `void` | `setTotalSystemEventCount(int totalSystemEventCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantUsageElement

          public TenantUsageElement()

  - ### Method Detail

    - #### getTenantName

          public java.lang.String getTenantName()

      The name of the tenant these usage statistics apply to.

    - #### setTenantName

          public void setTenantName(java.lang.String tenantName)

    - #### getTenantID

          public java.lang.Integer getTenantID()

      The ID of the tenant these usage statistics apply to.

    - #### setTenantID

          public void setTenantID(java.lang.Integer tenantID)

    - #### getStartDate

          public java.util.Date getStartDate()

      The date these usage statistics were measured from.

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

      The date these usage statistics were measured to.

    - #### setEndDate

          public void setEndDate(java.util.Date endDate)

    - #### getTotalJobCount

          public int getTotalJobCount()

      The total number of jobs processed within the period.

    - #### setTotalJobCount

          public void setTotalJobCount(int totalJobCount)

    - #### getTotalLoginCount

          public int getTotalLoginCount()

      The total number of logins the tenant's administrators performed within the period.

    - #### setTotalLoginCount

          public void setTotalLoginCount(int totalLoginCount)

    - #### getTotalSystemEventCount

          public int getTotalSystemEventCount()

      The total number of system events generated within the period.

    - #### setTotalSystemEventCount

          public void setTotalSystemEventCount(int totalSystemEventCount)

    - #### getTotalSecurityEventCount

          public int getTotalSecurityEventCount()

      The total number of security events recorded for the tenant within the period.

    - #### setTotalSecurityEventCount

          public void setTotalSecurityEventCount(int totalSecurityEventCount)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.